clc
clear
close all

columnas = 15;

fileID_a = fopen('LPC_Caliente.txt'); %cargar el archivo de texto de LPC
filas_a = load ('Filas_Caliente.txt');
formatSpec = '%d %f';
sizeA = [filas_a columnas];
S1 = fscanf(fileID_a,formatSpec,sizeA);

fileID_b = fopen('LPC_Templado.txt'); %cargar el archivo de texto de LPC
filas_b = load ('Filas_Templado.txt');
formatSpec = '%d %f';
sizeB = [filas_b columnas];
S2 = fscanf(fileID_b,formatSpec,sizeB);

fileID_c = fopen('LPC_Frio.txt'); %cargar el archivo de texto de LPC
filas_c = load ('Filas_Frio.txt');
formatSpec = '%d %f';
sizeC = [filas_c columnas];
S3 = fscanf(fileID_c,formatSpec,sizeC);

fileID_d = fopen('LPC_Apagar.txt'); %cargar el archivo de texto de LPC
filas_d = load ('Filas_Apagar.txt');
formatSpec = '%d %f';
sizeD = [filas_d columnas];
S4 = fscanf(fileID_d,formatSpec,sizeD);

fileID_e = fopen('LPC_Encender.txt'); %cargar el archivo de texto de LPC
filas_e = load ('Filas_Encender.txt');
formatSpec = '%d %f';
sizeE = [filas_e columnas];
S5 = fscanf(fileID_e,formatSpec,sizeE);

x1 = zeros (columnas,1);
for i=1:columnas
    for j=1:filas_a 
    x1(j) = S1(j,i);%cada fila de valores 
    end
xm1(i,1) = mean(x1(i));
end
